#include <Wire.h>

const int buttonPin = 9; // Pin connected to the push button
int counter = 0;         // Counter to alternate between slave devices

void setup() {
  pinMode(buttonPin, INPUT_PULLUP); // Set the button pin as an input with internal pull-up resistor
  Wire.begin();                     // Join I2C bus
}

void loop() {
  int buttonState = digitalRead(buttonPin); // Read the state of the button
  
  // If the button is pressed, toggle the LEDs on the slave devices
  if (buttonState == LOW) {
    counter++; // Increment counter
    
    // Determine which slave device to toggle based on the counter value
    int slaveAddress = (counter % 2 == 0) ? 8 : 9;
    int ledState = (counter % 2 == 0) ? 0 : 1;
    
    // Send command to toggle LED on the selected slave device
    Wire.beginTransmission(slaveAddress); // Start communication with the selected slave device
    Wire.write(ledState); // Send command to toggle LED based on the current LED state
    Wire.endTransmission();    // End communication
    
    delay(500); // Delay to debounce the button
  }

  delay(100); // Small delay between readings for stability
}
