#include <Wire.h>
int pwm;
const int ledPin = 1;  // Pin connected to the LED (PA1)
const int servo = 4;
void setup() {
  Wire.begin(2);                 // join i2c bus with address #8
  Wire.onReceive(receiveEvent);  // register event
  pinMode(ledPin, OUTPUT);       // Set the LED pin as an output
  Serial.begin(9600);            // start serial for output
}

void loop() {
  delay(100);
}

void receiveEvent(int howMany) {
  while (1 < Wire.available()) {  // loop through all but the last
    char c = Wire.read();         // receive byte as a character
    Serial.print(c);              // print the character
  }
  int ledState = Wire.read();  // receive byte indicating LED state
  Serial.println(ledState);    // print the received state

  // Control the LED based on the received state
  if (ledState == 1) {
    digitalWrite(ledPin, HIGH);  // Turn on the LED
  } else if (ledState == 0){
    digitalWrite(ledPin, LOW);  // Turn off the LED
  }
  else 
  {
    servoPulse(servo, ledState);
  }
}
void servoPulse (int servo, int angle)
{
 pwm = (angle*11) + 500;      // Convert angle to microseconds
 digitalWrite(servo, HIGH);
 delayMicroseconds(pwm);
 digitalWrite(servo, LOW);
 delay(50);                   // Refresh cycle of servo
}
